/* *
  |============================
  | include css partials with
  | default @import url()
  |============================
*/
/* Common styles */
/* @import url('./reset.css');
@import url('./base.css');
@import url('./container.css');
@import url('./animations.css'); */

/* Sections style */
/* @import url('./header.css');
@import url('./vite-promo.css');
@import url('./badges.css');
@import url('./back-link.css');
@import url('./footer.css'); */

@import url(./reset.css);
@import url(./base.css);
@import url(./container.css);

/* body {
} */

/*MOBILE*/

/* General */

.section-text-holder {
  padding: 16px 16px;
  margin-top: 24px;
  background-color: var(--bg-color);
}

.section-header-holder {
  background-image: url('../img/line.webp');
  background-size: contain;
  background-repeat: no-repeat;
  margin-bottom: 16px;
}

.section-text-holder h3 {
  position: relative;
  display: inline-block;
  margin-bottom: 8px;
}

.section-text-holder h3::after {
  content: '';
  position: absolute;
  left: 0;
  bottom: 0;
  width: 100%;
  /* width: 90px; */
  height: 1.5px;
  background-color: var(--accent-color);
}

/* -------HEADER------- */

.header-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0 32px;
  border-bottom: 1px solid var(--logo-grey);
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  background-color: var(--bg-color);
}

.nav-logo {
  max-width: 100px;
}

.menu-toggle {
  justify-content: center;
  align-items: center;
  flex: 0 0 auto;
  width: 35px;
  height: 35px;
  padding: 2px;
  background-color: transparent;
  border: none;
}

.icon-burger-menu,
.icon-x-circle {
  width: 24px;
  height: 24px;
  stroke-width: 0;
  stroke: var(--secondary-blue);
  fill: var(--secondary-blue);
  transition: all 300ms cubic-bezier(0.4, 0, 0.2, 1);
}

.menu-toggle:hover .icon-burger-menu,
.menu-toggle:focus .icon-burger-menu {
  stroke: var(--accent-color);
  fill: var(--accent-color);
}

.menu-toggle:active .icon-burger-menu {
  stroke: var(--primary-blue);
  fill: var(--primary-blue);
}

.main-nav {
  position: fixed;
  top: 25px;
  margin: o at;
  width: 80%;
  height: 400px;
  border-radius: 4px;
  transform: translateX(100%);
  background-color: var(--logo-grey);
  transition: all 0.25s cubic-bezier(0.4, 0, 0.2, 1);
  opacity: 0;
  pointer-events: none;
  visibility: hidden;
  z-index: 50;
  font-size: 24px;
}

.close-btn {
  position: fixed;
  justify-content: center;
  align-items: center;
  padding: 0;
  top: 34px;
  right: 34px;
  width: 36px;
  height: 36px;
  background-color: transparent;
  border: none;
  opacity: 0;
  pointer-events: none;
  visibility: hidden;
  transform: translateX(100%);
  transition: all 0.25s cubic-bezier(0.4, 0, 0.2, 1);
  z-index: 50;
}

.close-btn:hover .icon-x-circle,
.close-btn:focus .icon-x-circle {
  stroke: var(--accent-color);
  fill: var(--accent-color);
}

.close-btn:active .icon-x-circle {
  stroke: var(--primary-blue);
  fill: var(--primary-blue);
}

.is-open {
  opacity: 1;
  pointer-events: auto;
  visibility: visible;
  transform: translate(0);
}

.nav-list {
  flex-direction: column;
  align-items: center;
  gap: 16px;
  margin-top: 100px;
  transition: all 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.nav-list a:hover,
.nav-list a:focus {
  color: var(--accent-color);
}

.nav-list a:active {
  color: var(--primary-blue);
}

/* --------HERO------- */

.section-hero {
  background-image: url('../img/hero-bg.webp');
  background-color: var(--bg-color);
  background-repeat: no-repeat;
  background-position: right;
  background-size: cover;
}

/* .hero-container {
  padding-right: 0;
} */

.hero-text-holder {
  padding: 20px;
}

.hero-header {
  font-family: 'Montserrat', sans-serif;
  font-size: 32px;
  letter-spacing: 1px;
  line-height: 1.5;
  text-transform: uppercase;
  margin-bottom: 4px;
}

.hero-code-holder {
  display: flex;
  /* gap: 10px; */
  align-items: center;
  margin-bottom: 44px;
}

.hero-header-en {
  font-size: 12px;
  min-width: 200px;
  letter-spacing: 2px;
  text-transform: uppercase;
  max-width: 250px;
  color: var(--secondary-blue);
}

.code {
  color: var(--secondary-blue);
  font-size: 12px;
  letter-spacing: 1.5px;
  border-left: 1px solid var(--secondary-blue);
  padding-left: 8px;
  align-self: flex-end;
}

.hero-slogan {
  font-size: 20px;
  font-weight: bolder;
  margin-bottom: 6px;
}

/* ------ABOUT US------ */

.about-container {
  padding: 0 16px;
}

.about-container p {
  margin-bottom: 8px;
}

/* .about-container p:last-child {
  margin-bottom: 8px;
} */

.accordion-container {
  background-color: var(--bg-color);
  padding-bottom: 16px;
}

.ac {
  margin: 0 12px 4px;
  border: none;
}
.ac-header {
  background-color: var(--secondary-blue);
}

.ac .ac-trigger {
  color: var(--bg-color);
  font-family: 'Montserrat', sans-serif;
  font-weight: 500;
  letter-spacing: 1px;
}

.ac .ac-trigger:focus,
.ac .ac-trigger:active {
  color: var(--accent-color);
}

.ac .ac-panel {
  border: 1px solid var(--logo-grey);
}

.ac .ac-panel .ac-text {
  font-family: 'Roboto', sans-serif;
  color: var(--text-color);
}

.ac .ac-panel .ac-text::before {
  content: ' ';
  display: inline-block;
  width: 8px;
  height: 8px;
  background-color: var(--accent-color);
  border-radius: 50%;
  margin-right: 8px;
}

/* ------SERVICES------- */

.services-container {
  padding: 0 16px;
  /* margin: 0 100px; */
}

.services-container p {
  margin-bottom: 8px;
}

.services-text {
  margin-bottom: 8px;
}

.services-list-item::before {
  content: ' ';
  display: inline-block;
  width: 8px;
  height: 8px;
  background-color: var(--accent-color);
  border-radius: 50%;
  margin-right: 8px;
}

/* .services-text-wrap {
  background: url('../img/triangle-right.png');
  background-size: contain;
  background-repeat: no-repeat;
} */
